--- title: "Deletes a device with the given device ID" slug: "deletes-a-device-with-the-given-device-id" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/deletes-a-device-with-the-given-device-id" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Deletes a device with the given device ID Delete/api/v1/devices/{deviceId} SecurityHTTPType bearer Path parametersdeviceIdintegerRequired The ID of the device to delete Responses200 OK Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 403 Forbidden - Device in pending state Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean